WordPress.org

Make WordPress Core

Changeset 50196 for branches/5.3


Ignore:
Timestamp:
02/05/2021 03:43:00 AM (10 months ago)
Author:
desrosj
Message:

Build/Test Tools: Fix tests after [50190].

This removes a test assertion defending against version ranges in the node value in package.json files. This is now supported.

Props peterwilsoncc.
Merges [50192] to the 5.3 branch.
See #52341.

Location:
branches/5.3
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/5.3

  • branches/5.3/tests/phpunit/tests/basic.php

    r45607 r50196  
    3636        $this->assertArrayHasKey( 'engines', $package_json );
    3737        $this->assertArrayHasKey( 'node', $package_json['engines'] );
    38         $node = $package_json['engines']['node'];
    39         $this->assertRegExp( '~^=?\d+\.\d+\.\d+$~', $node, "package.json's node version cannot be a range." );
    4038    }
    4139
Note: See TracChangeset for help on using the changeset viewer.